## berate-ap 0.4.6+git20240824

=== Makefile ===
PREFIX=/usr
MANDIR=$(PREFIX)/share/man
BINDIR=$(PREFIX)/bin

all:
	@echo "Run 'make install' for installation."
	@echo "Run 'make uninstall' for uninstallation."

install:
	install -Dm755 berate_ap $(DESTDIR)$(BINDIR)/berate_ap
	install -Dm644 berate_ap.conf $(DESTDIR)/etc/berate_ap.conf
	[ ! -d /lib/systemd/system ] || install -Dm644 berate_ap.service $(DESTDIR)$(PREFIX)/lib/systemd/system/berate_ap.service
	install -Dm644 bash_completion $(DESTDIR)$(PREFIX)/share/bash-completion/completions/berate_ap
	install -Dm644 README.md $(DESTDIR)$(PREFIX)/share/doc/berate_ap/README.md

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/berate_ap
	rm -f $(DESTDIR)/etc/berate_ap.conf
	[ ! -f /lib/systemd/system/berate_ap.service ] || rm -f $(DESTDIR)$(PREFIX)/lib/systemd/system/berate_ap.service
	rm -f $(DESTDIR)$(PREFIX)/share/bash-completion/completions/berate_ap
	rm -f $(DESTDIR)$(PREFIX)/share/doc/berate_ap/README.md

## berate-ap 0.4.6+git20191120

=== debian/changelog ===
berate-ap (0.4.6+git20191120-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 00:30:11 +0200

berate-ap (0.4.6+git20191120-0kali2) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * Update debian/watch file
  * Bump for updated Debian files
  [ Kali Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  [ Arnaud Rebillout ]
  * Fix variabledefinition in d/rules
  [ Ben Wilson ]
  * Remove template comment and switch spaces to tabs
  [ Sophie Brun ]
  * Configure git-buildpackage for Kali
  * Add GitLab's CI configuration file

 -- Steev Klimaszewski <steev@kali.org>  Mon, 07 Nov 2022 14:43:40 -0600

berate-ap (0.4.6+git20191120-0kali1) kali-dev; urgency=medium

  * Initial release (see 6538)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 14 Jul 2021 15:35:25 +0200

=== debian/control ===
Source: berate-ap
Section: misc
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://github.com/sensepost/berate_ap
Rules-Requires-Root: no

Package: berate-ap
Architecture: any
Depends: hostapd-mana, iproute2, iw, procps, ${misc:Depends}, ${shlibs:Depends}
Recommends: dnsmasq, haveged, iptables
Description: Script for orchestrating mana rogue Wi-Fi Access Points
 This package contains a script for orchestrating mana rogue Wi-Fi Access
 Points. It can also handle regular hostapd AP and create AP easily.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%berate-ap-$1.tar.gz%" \
   https://github.com/sensepost/berate_ap/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## berate-ap 0.4.6+git20240824

=== debian/changelog ===
berate-ap (0.4.6+git20240824-0kali1) kali-dev; urgency=medium

  * New upstream version 0.4.6+git20240824
  * Update patch to install systemd unit in /usr/lib instead of /lib

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 12 Sep 2024 12:01:12 +0700

berate-ap (0.4.6+git20240118-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.6.2, no changes needed.

  [ Arnaud Rebillout ]
  * Add a patch to silence 'cp -n' warning
  * Update debian/watch to track git head
  * New upstream version 0.4.6+git20240118
  * Recommends += qrencode

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 24 Jan 2024 11:30:33 +0700

=== debian/control ===
Source: berate-ap
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://github.com/sensepost/berate_ap
Vcs-Browser: https://gitlab.com/kalilinux/packages/berate-ap
Vcs-Git: https://gitlab.com/kalilinux/packages/berate-ap.git
Rules-Requires-Root: no

Package: berate-ap
Architecture: any
Depends: hostapd-mana, iproute2, iw, procps, ${misc:Depends}, ${shlibs:Depends}
Recommends: dnsmasq, haveged, iptables, qrencode
Description: Script for orchestrating mana rogue Wi-Fi Access Points
 This package contains a script for orchestrating mana rogue Wi-Fi Access
 Points. It can also handle regular hostapd AP and create AP easily.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/tests/control ===
Test-Command: berate_ap -h
Restrictions: superficial

=== debian/watch ===
version=4
opts="mode=git, \
  pgpmode=none, \
  pretty=0.4.6+git%cd, \
  dversionmangle=auto, \
  filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%berate-ap-$1.tar.gz%" \
https://github.com/sensepost/berate_ap \
HEAD
